<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
session_start();
require 'vendor/autoload.php';
\Stripe\Stripe::setApiKey($_SESSION['ONLINE_CONTRACT_STRIPE_KEY']);
header('Content-Type: application/json');

$checkout_session = \Stripe\Checkout\Session::create([
    'payment_method_types' => ['card'],
    'line_items' => [[
        'price_data' => [
            'currency' => $_GET['currency'],
            'unit_amount' => $_GET['price'],
            'product_data' => [
                'name' => $_GET['itemname']
            ],
        ],
        'quantity' => 1,
    ]],
    'mode' => 'payment',
    'success_url' => $_GET['ret'] . '?type=success',
    'cancel_url' => $_GET['ret'] . '?type=cancel',
]);

echo json_encode(['id' => $checkout_session->id]);
